#ifndef __DRAWING_AREA_H
#define __DRAWING_AREA_H

#include <gtk/gtk.h>

class GObject;

struct UpdateRectangle
{
	int _x1;
	int _y1;
	int _x2;
	int _y2;
	UpdateRectangle(){ _x1=_y1=30000, _x2=_y2=-1; } //coordonate alese
		//astfel incat orice prima desenare sa le schimbe pe toate
	GdkRectangle getGdkRectangle();	
};

class DrawingArea:public GObject
{
private:
	GdkPixmap *_pixmap;
	UpdateRectangle _ur;
public:
	DrawingArea(int width, int height, const string &namstr);
//	DrawingArea(char picture[], int, int, char namstr[], GtkWidget *);
	~DrawingArea();
	void line(int x1, int y1, int x2, int y2, int width, int red, int green, int blue);
	void dashedLine(int x1, int y1, int x2, int y2, int width, int red, int green, int blue);
	void rectangle(int filled, int x, int y, int width, int height, int red, int green, int blue);
	void arc(int filled, int x, int y, int width, int height, int angle1, int angle2, int red, int green, int blue);
	void circle(int filled, int x, int y, int r, int red, int green, int blue);
	void setBackground(char name[], int width, int height);
		//la arc, angle1 e unghiul de inceput, iar
		//angle2 este unghiul arcului
	//void Polygon(int filled, GdkPoint *points, int npoints);
	//void String(int x, int y, const char *string); 
	void text(int x, int y, const char *text, int, int, int, GdkFont *);
	void point(int x, int y, int red, int green, int blue);
	void updateScreen();
	GdkPixmap *getPixmap();
	void setPixmap(GdkPixmap *);
};

#endif
